Subject: Re: [PATCH v4 net-next 02/12] netlink: spec: add shaper YAML spec

From: Jakub Kicinski <[email-masked]>
Date: Thu, 22 Aug 2024 18:56:00 -0700

On Tue, 20 Aug 2024 17:12:23 +0200 Paolo Abeni wrote:
> +        Clear (remove) the specified shaper. When deleting
> +        a @node shaper, relink all the node's leaves to the
> +        deleted node parent.

I think you should explain the other case too.
When deleting a queue shaper the shaper disappears from the hierarchy
but the queue can still send traffic. It has an implicit node with
infinite bandwidth and it feeds an implicit RR node at the root of 
the hierarchy.